Anki app not working d/t Anki-hub installation update request

After turning on my computer, the Anki app opened up like this:

. But it won’t let me select the yes or the no option, and I’ve restarted the program several times, but the same thing keeps happening. Also restarted my computer but that didn’t help. How do I get the app working again?

Edit: was able to click out of the first box, but it’s still stuck on the second part:

Error message (don't change this)
Anki 2.1.66 (70506aeb) Python 3.9.15 Qt 6.5.0 PyQt 6.5.0
Platform: macOS-11.7.4-x86_64-i386-64bit
Flags: frz=True ao=True sv=3
Add-ons, last update check: 2024-02-25 07:58:30

Traceback (most recent call last):

  File "/Users/emilywarsavage/Library/Application Support/Anki2/addons21/1322529746/ankihub_client/ankihub_client.py", line 239, in _send_request_with_retry
    response = self._send_request_with_retry_inner(request, stream=stream)

  File "/Users/emilywarsavage/Library/Application Support/Anki2/addons21/1322529746/lib/tenacity/__init__.py", line 289, in wrapped_f
    return self(f, *args, **kw)

  File "/Users/emilywarsavage/Library/Application Support/Anki2/addons21/1322529746/lib/tenacity/__init__.py", line 379, in __call__
    do = self.iter(retry_state=retry_state)

  File "/Users/emilywarsavage/Library/Application Support/Anki2/addons21/1322529746/lib/tenacity/__init__.py", line 326, in iter
    raise retry_exc from fut.exception()

tenacity.RetryError: RetryError[<Future at 0x12cba6490 state=finished raised ConnectionError>]


During handling of the above exception, another exception occurred:


Traceback (most recent call last):

  File "/Users/emilywarsavage/Library/Application Support/Anki2/addons21/1322529746/ankihub_client/ankihub_client.py", line 245, in _send_request_with_retry
    response = last_attempt.result()

  File "concurrent.futures._base", line 439, in result

  File "concurrent.futures._base", line 391, in __get_result

  File "/Users/emilywarsavage/Library/Application Support/Anki2/addons21/1322529746/lib/tenacity/__init__.py", line 382, in __call__
    result = fn(*args, **kwargs)

  File "/Users/emilywarsavage/Library/Application Support/Anki2/addons21/1322529746/ankihub_client/ankihub_client.py", line 260, in _send_request_with_retry_inner
    response = session.send(request, stream=stream)

  File "requests.sessions", line 703, in send

  File "requests.adapters", line 519, in send

requests.exceptions.ConnectionError: HTTPSConnectionPool(host='app.ankihub.net', port=443): Max retries exceeded with url: /api/decks/subscriptions/ (Caused by NewConnectionError('<urllib3.connection.HTTPSConnection object at 0x15399c760>: Failed to establish a new connection: [Errno 61] Connection refused'))


The above exception was the direct cause of the following exception:


Traceback (most recent call last):

  File "aqt.taskman", line 122, in _on_closures_pending

  File "/Users/emilywarsavage/Library/Application Support/Anki2/addons21/1322529746/gui/auto_sync.py", line 101, in sync_with_ankiweb
    future.result()

  File "concurrent.futures._base", line 439, in result

  File "concurrent.futures._base", line 391, in __get_result

  File "/Users/emilywarsavage/Library/Application Support/Anki2/addons21/1322529746/gui/operations/ankihub_sync.py", line 66, in sync_with_ankihub
    subscribed_decks = client.get_deck_subscriptions()

  File "/Users/emilywarsavage/Library/Application Support/Anki2/addons21/1322529746/ankihub_client/ankihub_client.py", line 579, in get_deck_subscriptions
    response = self._send_request("GET", API.ANKIHUB, "/decks/subscriptions/")

  File "/Users/emilywarsavage/Library/Application Support/Anki2/addons21/1322529746/ankihub_client/ankihub_client.py", line 225, in _send_request
    response = self._send_request_with_retry(prepped, stream=stream)

  File "/Users/emilywarsavage/Library/Application Support/Anki2/addons21/1322529746/ankihub_client/ankihub_client.py", line 247, in _send_request_with_retry
    raise AnkiHubRequestException(e) from e

1322529746.ankihub_client.ankihub_client.AnkiHubRequestException: AnkiHub request exception: HTTPSConnectionPool(host='app.ankihub.net', port=443): Max retries exceeded with url: /api/decks/subscriptions/ (Caused by NewConnectionError('<urllib3.connection.HTTPSConnection object at 0x15399c760>: Failed to establish a new connection: [Errno 61] Connection refused'))

Sentry link (for developers)

Before booting up Anki, hold shift + click on Anki to open it

This will open it without any addons

Then put your cursor at the top → tools → addons → click on ankihub → get updates

That was successful, thank you!!

This topic was automatically closed 7 days after the last reply. New replies are no longer allowed.